Summary: JDK Setup Package
Name: jdksetup
Version: 2.1
Release: 12AX
Copyright: GPL
Group: Development/Tools
Source0: sun_java_sdk.csh.tmpl
Source1: sun_java_sdk.sh.tmpl
Source2: font.properties.ja_JP
URL: http://www.miraclelinux.com/
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Requires: j2sdk
PreReq: fileutils

%description
This package setup JDK environment for users.

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/profile.d/
mkdir -p $RPM_BUILD_ROOT/usr/java/
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT/etc/profile.d/sun_java_sdk.csh
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/sun_java_sdk.sh
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/java/.font.properties.ja_JP

%clean
rm -rf $RPM_BUILD_ROOT

%post
rm -f /usr/lib/jdk
_jdkver=`ls /usr/java | grep j2sdk | sort -nr | head -1`
if [ ! -z "$_jdkver" -a -d "/usr/java/$_jdkver" ] ; then
    ln -s "/usr/java/$_jdkver" /usr/lib/jdk
    cp -p /usr/java/.font.properties.ja_JP /usr/lib/jdk/jre/lib/font.properties.ja_JP
fi

%postun
if [ "$1" = 0 ]; then
    rm -f /usr/lib/jdk/jre/lib/font.properties.ja_JP
    rm -f /usr/lib/jdk
fi


%files
%defattr(-,root,root)
/etc/profile.d/sun_java_sdk.csh
/etc/profile.d/sun_java_sdk.sh
/usr/java/.font.properties.ja_JP

%changelog
* Wed May 12 2004 Shiro Yamada <shiro@miraclelinux.com> 2.1-12AX
- add Require tag again
- making sure that the directory exists

* Wed May 12 2004 Shiro Yamada <shiro@miraclelinux.com> 2.1-11AX
- removed Require tag for installing it with jdk-1.3

* Wed Apr 28 2004 Shiro Yamada <shiro@miraclelinux.com> 2.1-10AX
- rebuild for Asianux 1.0

* Mon Apr 19 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 2.1-9ml
- modify %post. remove exist check. 

* Mon Apr 19 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 2.1-8ml
- add PreReq jdk-1.3.1_11-fcs

* Tue Apr  4 2004 Seiichi Yamada <syamada@miraclelinux.com>
- 2.1-6ml
- Update jdk-1.3.1_11

* Thu Jul  4 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- Add RHAS macro.

* Sat Jun 29 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- Update jdk-1.3.1_04

* Mon Jun 17 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- add PreReq

* Fri Jun 14 2002 Yasuma Takeda <yasuma@miraclelinux.com>
- make for JDK-1.3.1_03

